﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace ScheduleApp
{
	public class ScheduleViewModel
	{

		private static ScheduleAppointmentCollection ListOfMeeting { get; set; }
		private static List<string> currentDayMeetings;
		private static List<Color> color_collection;

		public ScheduleViewModel()
		{
			
		}

		public static ScheduleAppointmentCollection BookingAppointments()
		{
			InitializeDataForBookings();
			ListOfMeeting = new ScheduleAppointmentCollection();
			Random randomTime = new Random();
			DateTime date = DateTime.Now;
			for (int i = 0; i < 4; i++)
			{
				ScheduleAppointment meeting = new ScheduleAppointment();
				int hour = randomTime.Next(10, 13);
				meeting.StartTime = new DateTime(date.Year, date.Month, date.Day, hour, 0, 0).AddDays(i);
				meeting.EndTime = (meeting.StartTime.AddHours(1));
				meeting.Subject = currentDayMeetings[i];
				meeting.Color = color_collection[i];
				ListOfMeeting.Add(meeting);
			}
			return ListOfMeeting;
		}


		private static void InitializeDataForBookings()
		{
			currentDayMeetings = new List<string>();
			currentDayMeetings.Add("General Meeting");
			currentDayMeetings.Add("Plan Execution");
			currentDayMeetings.Add("Project Plan");
			currentDayMeetings.Add("Consulting");
			currentDayMeetings.Add("Performance Check");


			color_collection = new List<Color>();
			color_collection.Add(Color.FromHex("#FF339933"));
			color_collection.Add(Color.FromHex("#FF00ABA9"));
			color_collection.Add(Color.FromHex("#FFE671B8"));
			color_collection.Add(Color.FromHex("#FF1BA1E2"));
			color_collection.Add(Color.FromHex("#FFD80073"));
			color_collection.Add(Color.FromHex("#FF00ABA9"));

		}


		public static ScheduleAppointmentCollection UpdateBookingAppointments()
		{
			UpdateDataForBookings();
			ListOfMeeting = new ScheduleAppointmentCollection();
			Random randomTime = new Random();
			DateTime date = DateTime.Now;
			for (int i = 0; i < 4; i++)
			{
				ScheduleAppointment meeting = new ScheduleAppointment();
				int hour = randomTime.Next(10, 13);
				meeting.StartTime = new DateTime(date.Year, date.Month, date.Day, hour, 0, 0).AddDays(i);
				meeting.EndTime = (meeting.StartTime.AddHours(1));
				meeting.Subject = currentDayMeetings[i];
				meeting.Color = color_collection[i];
				ListOfMeeting.Add(meeting);
			}
			return ListOfMeeting;
		}

		private static void UpdateDataForBookings()
		{
			currentDayMeetings = new List<string>();
			currentDayMeetings.Add("Yoga Therapy");
			currentDayMeetings.Add("Plan Execution");
			currentDayMeetings.Add("Project Plan");
			currentDayMeetings.Add("Consulting");
			currentDayMeetings.Add("Performance Check");

			color_collection = new List<Color>();
			color_collection.Add(Color.FromHex("#FFA2C139"));
			color_collection.Add(Color.FromHex("#FFA2C139"));
			color_collection.Add(Color.FromHex("#FFD80073"));
			color_collection.Add(Color.FromHex("#FF339933"));
			color_collection.Add(Color.FromHex("#FFE671B8"));
		}

	}
}
